wiki:mojca

Version 18 (modified by mojca (Mojca Miklavec), 4 years ago) (diff)

add a link to another ticket

Mojca Miklavec

  • Gender: female
  • Nickname: mojca
  • Mail: mojca AT macports.org
  • IRC: mojca

(Organizer of the MacPorts Meeting 2016 in Slovenia.)

Ports

I'm (co)maintaining the following ports:

port homepage
aqua/aquaterm https://github.com/aquaterm/aquaterm
devel/cvs-fast-export http://www.catb.org/esr/cvs-fast-export/
graphics/wxsvg http://wxsvg.sourceforge.net/
graphics/wxWidgets-2.8 http://wxwidgets.org/
graphics/wxWidgets-3.0
math/gnuplot http://gnuplot.sourceforge.net/
math/libcerf http://apps.jcns.fz-juelich.de/doku/sc/libcerf
python/py-enum34
python/py-wxpython-2.8 http://www.wxpython.org/
python/py-wxpython-3.0
science/aida
science/clhep http://proj-clhep.web.cern.ch/proj-clhep/
science/iAIDA http://iaida.dynalias.net/ https://github.com/apfeiffer1/iAIDA
science/geant4 http://geant4.cern.ch/
textproc/pdf2htmlex http://pdf2htmlex.blogspot.com/
textproc/xchm http://xchm.sourceforge.net/

trac cheatsheet: TracLinks

Tickets

Shortlisted tickets

  • #16373
    base should maintain a persistent working copy for all supported VCS fetches
    #35897
    Add a buildbot with +universal for all packages
    #37732
    cmake-1.0: provide option to disable CMAKE_OSX_ARCHITECTURES
    #51995
    buildbot improvements

Assigned Tickets

No results

Reported Tickets

No results

Me On CC

#54839
Checksum mismatches for generated tarballs from GitHub

Ports I'm interested in

aquaterm, gnuplot, libcerf, xchm

#42428
Aquaterm fails to build due to StripNIB failures
#50040
Aquaterm 1.1.1 El Capitan build failure
#51950
gnuplot unable to find wx/wxprec.h
#52323
aquaterm fails to build on 10.12 sierra
#52698
gnuplot 5.0.5 dash type not working
#53095
gnuplot @5.0.5@ on macOS 10.12.1 doesn't show a wxt terminal persistently
#57508
gnuplot @5.2.5_0 +aquaterm+luaterm+pangocairo+qt5+wxwidgets+x11: cannot find wx/wxprec.h
#57854
p5-term-gnuplot: should not compile with -DNO_MEMCPY
#59161
gnuplot @5.2.7_0+aquaterm+luaterm+pangocairo+wxwidgets+x11: dyld: Symbol not found: __ZTISt12length_error
#61528
gnuplot: runtime warning about multiple implementations of wxNSAppController
#61619
p5-term-gnuplot @0.903.809.60: error: implicit declaration of function 'test_term' is invalid in C99

No results No results

root, Geant4, Gate, aida, iAIDA, clhep

#29752
*_select: add man pages
#44064
root6: try to decouple the compiler that root was built with and compiler that root uses
#45658
chkrootkit distfiles unavalible
#49752
root5, root6: runs "port select root ..." on behalf of user, causing unregistered files to be left on the user's system
#56892
root6 @6.14.02 fails to build with +veccore variant
#57096
root6 6.14.02 installed with python36 variant when python34 variant is specified
#57157
root6 with +veccore variant has include path problems
#57601
ROOT6 headers broken
#60866
ROOTSYS in root6

#29752
*_select: add man pages
#50424
geant4: careful review of Qt5
#51133
Xcode 7.3 bug: __DATA/__thread_bss extends beyond end of file
#53074
clhep @2.3.4.3: fails to build on 10.6 due to unsupported thread-local storage
#53703
geant4.10.2 @4.10.02.p02 +gdml+qt+threads Build failure - missing symbols
#55812
geant4.10.4: error during configuration on legacy systems
#55813
clhep: fails to build on legacy systems
#58015
geant4.10.5: dependencies cannot be satisfied on 10.6
#58319
geant4.10.5 @4.10.05_0+gdml+qt5+threads: very disordered directories
#58558
Add option to compile with clang in Geant4 port
#58629
Geant4 Source Script Clashes With Root

#60159
gate @8.2+geant4105+qt5: Failed to build gate - command execution failed

wxgtk, wxWidgets, wxWidgets-python, wxWidgets-devel, wxWidgets30, wxPython

#29752
*_select: add man pages
#45557
wxWidgets-3.0 build error
#50701
wxWidgets: add patches to support KiCad
#57508
gnuplot @5.2.5_0 +aquaterm+luaterm+pangocairo+qt5+wxwidgets+x11: cannot find wx/wxprec.h
#58191
wxgtk-3.0 +quartz fails to build
#59800
wxWidgets-3.0: error: unknown type name 'nullptr_t'; did you mean 'std::nullptr_t'?
#60511
move to quartz as default backend
#61076
wxWidgets-3.2 @3.1.4: error: use of undeclared identifier 'LSCopyDefaultApplicationURLForContentType'
#61528
gnuplot: runtime warning about multiple implementations of wxNSAppController
#62087
wxWidgets-3.2 @3.1.4_1 failed to configure in macosx 10.7.5 (Lion)

#46351
py-wxpython-2.8: track the progress of transition to 3.0 and try to remove the port
#47268
KiCad: a request for a software package for designing PCBs
#58943
wxPython 4.0 (Phoenix)
#61903
grass7 +gui depends on nonexistent port py39-wxpython-4.0

#38375
Ports depending on wxWidgets* or wxPython should be ported to wxWidgets-3.0 or provide variants

perl5

#29763
*_select framework does not apply to Perl: fix provided
#30599
h2ph not rerun after perl5 upgrade
#36980
perl5.x: sitebin & vendorbin flags may be inapproriate
#50000
perl5: improve / reimplement packaging
#50512
perl5: obsolete subports perl5.16 perl5.18 perl5.20
#50894
perl: hardcodes compiler and compiler options (packages from CPAN may not compile under a different Xcode version)
#52290
perl5: cannot be built as ppc/i386 universal on x86_64
#56340
perl5.26: dist/PathTools/t/cwd.t test fails
#57832
perl5.28: failed tests (not inherited across exec at ./test.pl line 1062)
#58084
perl5.28: install_name_tool: malformed object (unknown load command 9)
#58610
CPAN.pm/cpan2port needs gzip?
#59207
perl5.28 build fails on Catalina with MacPorts 2.6.1 and Xcode 11.1
#59786
perl5.28, perl5.30: forces modules to build with clang-3.4, though they don't declare a dependency on it
#60028
p5.30-proc-guard, p5.30-log-dispatch: dyld: lazy symbol binding failed: Symbol not found: _perl_tsa_mutex_lock
#60740
perl5.28: configures with -L/opt/local/lib but strips that out during the build
#60747
perl5.28: build fails with 8 parallel jobs on Tiger i386

Qt

#27826
py-pyqt4: switch from mac to x11 dist for dbus support
#29752
*_select: add man pages
#36410
Qt applications are blurry on MBP Retina
#36431
qt4-mac: macdeployqt shows errors when trying to copy in frameworks
#37652
qt4-creator-mac no longer builds on powerpc
#38838
Cannot add .qch files to QtCreator
#39347
Qt-Creator doesn't open any pro file anymore
#39424
Ports that use qmake: consider using the new qmake portgroup
#39606
qt4-creator-mac: error: IOKit/IOKitLib.h: No such file or directory
#39803
qt4-mac @4.8.5_0 missing dependency: qt4-mac-sqlite3-plugin
#39967
qt4-creator-mac 2.8.0_1 fails building on 10.5.8 PPC
#43431
Ports with mysql4 or mysql5 variants and/or dependencies should switch to using mysql57+ or mariadb.
#43499
qt4-mac-mysql51-plugin upgrade after replacing mysql5 by mysql51 FAILS
#44998
make Qt4 respect icon visibility preferences in the system tray menu
#44999
limit Qt4's menu item placement guessing and the damages it can cause
#46606
qt4-mac "noexceptions" variant
#46607
qt4-mac +KDE variant.
#46816
for the more sensitive among you ..
#47197
cmake-based ports: Switch to cmake 1.1 portgroup
#47466
qt4: improved support for less common font weights
#48967
submission: port:qt5-kde
#49344
qt4-mac: macdeployqt broken in 4.8.7_2
#49629
qt4-mac: qmake is in /opt/local/libexec/qt4/bin/qmake
#49793
qt4/5: set default QThread thread stack size to a reasonable value
#50269
qt4-mac @4.8.7_3: use of undeclared CoreWLAN identifiers
#50966
Qt5 PortGroup files; preparing for port:qt5-kde and the KF5 port family
#50968
playground : qt5-kde-devel @ Qt 5.6.1
#51135
qt4-mac fails to build with libressl 2.3.3
#52862
qt4-mac +debug: non-debug QtWebkit links to debug frameworks, and QtWebkit_debug does not exist
#53230
preparing port:qt5-kde step 2 : the qt5 PortGroup(s)
#53369
Qt5 : load OpenSSL dynamically using MacPorts' port:openssl
#53777
Qt5 PortGroup : wrong use of qt5.using_kde and +qt5kde
#53778
Qt5/qt5-kde PortGroup
#53886
submission: port:qt5-kde
#54357
Qt5 : 5.9, 5.8 and Mac OS X 10.9
#55247
py27-pyqt4-4.12.1_0+phonon: fatal error: 'abstractaudiooutput.h' file not found
#55313
new port: qt5-assistant
#55318
new port: qt5-webkit
#56213
qore ports need updates
#57473
qt4-mac @4.8.7: configure not detecting arch properly
#57941
Unable to install py27-pyqt4
#58218
port:qt4, port:qt59 : OpenSSL 1.1 compatibility
#58378
Qt5 CMake component fails under Xcode-10.2
#58421
unable to install poppler-qt5 (as dependency to texstudio)
#58653
Some portfiles fail to parse under linux
#58760
py37-pyqt5: Failed to determine the detail of your Qt installation
#59601
qt5-qt3d @ 5.12.5 configure fails ERROR: Feature 'system-assimp' was enabled, but the pre-condition 'features.assimp && libs.assimp' failed
#60514
qt5-mysql-plugin: add variant for mariadb 10.2
#60526
poppler-qt5 @0.88.0: install fails on extraction step
#60559
py-pyqt5 binaries are not distributable
#60716
py-qscintilla-qt5 @2.11.2_0: error: no matching constructor for initialization of '::QsciAPIs []'
#60741
Unable to install py38-qscintilla-qt5, py38-pyqt5-chart, py38-pyqt5-webengine from scratch (fresh installation)
#60823
poppler-qt5 @0.90.0_0: installs fine on 10.6.8 with qt5.3.2
#60975
qt5-qtwebkit: fatal error: 'CSSGrammar.hpp' file not found
#61031
qt5*-qtlocation: build errors due to <experimental/optional> removal
#61736
qt5 clears configure.sdkroot which causes erroneous "SDK does not appear to be installed" warning
#61789
qt4-mac @4.8.7_10 (aqua): Fails to build on Big Sur w/ arm64 architecture
#61886
qt4-mac does not currently build on Mac OS X later than 11.0
#61921
qt5-qtwebengine @5.15.2: does not build on macOS 10.13 with Xcode 9
#61922
qt513-qtwebengine @5.13.2_2: 'xpath_grammar.hh' file not found
#61924
qt513-qtwebengine @5.13.2_2: Exception: No 10.15.6+ SDK found
#62009
py39-pyqt5 @5.14.2: object of type 'QSGGeometry' cannot be assigned because its copy assignment operator is implicitly deleted
#62051
qt5*-qtbase: error: redefinition of '__bsrd' as different kind of symbol
#62059
qt5-qtwebengine 5.15.2: does not yet build on arm64
#62104
qt5-qtbase @5.15.2_1+debug+openssl fails to build due to missing MoltenVK header
#62129
qt5: add variants to qt5-mysql-plugin for mariadb 10.2 through 10.5 and mysql8

TeX Live

#57071
texlive-bin does not build on 10.5 Leopard Intel with gcc6
#59680
hyperref links are coming out as solid blocks of color
#60979
texlive-bin @2020.54632_2+x11 build failure with mpfr in /usr/local
#61097
texlive-bin-extra @54608 still needs Perl 5.28
#61887
texlive-pictures does not contain tkz-tab.sty

CMake

#38806
cmake +universal cannot be installed with universal_archs='i386 ppc'
#40228
cmake: add FindLua52.cmake
#44232
patch to have cmake use -dynamiclib in CMAKE_SHARED_MODULE_CREATE
#44237
CMake @3.0.0_2: configure and build pick up local frameworks
#48288
CMake generating broken Xcode projects when using OpenCV
#48652
JRE installation dialog when updating cmake
#53201
cmake: doesn't recognize macports-clang (No known features for CXX compiler)
#53615
cmake : ignore policy CMP0025
#58578
cmake fails to compile on Leopard (lround)
#59780
cmake fails to build on Leopard 10.5: error: 'shared_mutex' is unavailable: introduced in macOS 10.12
#60907
cmake @3.18.0_1 does not build on PPC Tiger, Mac OS X 10.4.11, because of 'Undefined symbols: "_lutimes"'
#61199
cmake @3.18.2_0: Error when bootstrapping on 10.5 ppc

Dependents of wxWidgets

erlang

#20180
Erlang + SCTP
#22785
Missing dylibs for Erlang
#32836
erlang: build error when /opt/local/bin/gcc exists
#45114
erlang @17.3_0+hipe+ssl: can't load crypto library
#54384
Erlang+wxwidgets doesn't need libGLU
#56261
erlang: file not found: /opt/local/lib/libcrypto.1.0.0.dylib
#56394
erlang fails to build with libressl-devel 2.7.2
#59324
erlang: beam_emu_pg.gcda: No such file or directory
#61331
erlang @23.0 +wxwidgets: does not build on catalina
#61727
erlang @23.1: fails to build on macOS 11.0 arm64
#61817
wxWidgets problem for erlang

hugin-app

No results

plplot

#60813
plplot510: _pkg_check_modules_internal Macro invoked with incorrect arguments

digikam

#30838
Digikam @2.0.0 hangs at launch.
#31926
digikam @2.1.1 unknown protocol 'digikamalbums'
#34264
digikam: Undefined symbols for architecture x86_64
#37030
Digikam hangs at "Reading database" on start in Mountain Lion
#37592
digikam @2.9.0 flickr module cannot authenticate
#40912
DigiKam 3.5 corrupts JPG, TiFF, PNG images
#41659
digikam crash-Very unstable
#44023
Digikam crashes when using the editor window
#44748
Update digikam 3.5.0 to 4.-- produces error:: command execution failed while executing "system -nice 0 $fullcmdstring"
#44985
digikam @4.0.0_0: No drag and drop to the Dock anymore
#46445
port uninstall does not remove the app files
#47290
digikam: Add variant for external mysql database; rename variant for internal mysql database; update mysql dependency
#47749
digikam @4.10.0 No video playback [Portfile PATCH]
#47772
digikam: update to 4.10.0, mariadb variant and dependency cleanup
#48081
digikam @4.9.0: build fails after upgrade to opencv 3.0.0 due to API/header changes
#50270
digikam @4.9.0 fails to build: lensfun.h:2506:5: error: templates must have C++ linkage
#57407
Digikam 4.9.0 fails to install: LibKface cannot be compiled

other

#18041
esdl: destroot failure: cp: priv/*: No such file or directory
#40094
pgAdmin3 uses --with-arch-x86_64
#40228
cmake: add FindLua52.cmake
#41639
gnudatalanguage @0.9.4: error: call to 'isspace' is ambiguous
#44050
codeblocks: runs autotools during `make all`
#44159
pgAdmin3 @1.18.1_1 UI problems
#47131
gnudatalanguage +python27 +openmp install fails with cmake issue.
#48267
gnudatalange @0.9.5_4: dyld: Library not loaded: /opt/local/lib/libgrib_api.0.dylib
#49530
gnudatalanguage @0.9.5: error: no member named 'width' in 'plstream'
#49592
gnudatalanguage @0.9.5_8 + wxWidgets run error
#53033
saga doesn't open LAS files
#54040
gnudatalanguage @0.9.6_8 + wxWidgets run error
#54395
codeblocks: needs C++11
#59112
gpAdmin3: error: case value evaluates to -43, which cannot be narrowed to type 'OID' (aka 'unsigned long')
#60179
pgAdmin3: dyld: Symbol not found: __ZTISt12length_error
#60493
Menue issues with wxMaxima on macOS 10.15
#60505
saga 7.3.0_1 won't build
#61933
wxmaxima crashes on macOS Big Sur v11k - conflicting wxWidget libs

Dependents of wxPython

grass

#40307
grass @6.4.2: Unsupported compiler detected
#42161
grass: compatibility with wxWidgets 3.0
#42203
grass: allow building without GUI
#43431
Ports with mysql4 or mysql5 variants and/or dependencies should switch to using mysql57+ or mariadb.
#46351
py-wxpython-2.8: track the progress of transition to 3.0 and try to remove the port
#60506
Can't install grass7
#60737
gdal-grass: Update to 3.1.1
#61551
grass7 build failure
#61903
grass7 +gui depends on nonexistent port py39-wxpython-4.0
#61931
grass7 +python35 depends on nonexistent port py35-psycopg2

other

#39681
Error in SWIG C++ when installing gnuradio +full on OSX 10.6
#44988
gnuradio-next: error: sys/soundcard.h: No such file or directory
#46351
py-wxpython-2.8: track the progress of transition to 3.0 and try to remove the port
#53467
Obsoleted ports hosted on Google Code
#54154
Gna! is shutting down
#58517
gnuradio-next @20190520-c7780bb2: Target ... links to target "Volk::volk" but the target was not found
#58653
Some portfiles fail to parse under linux
#60841
relax @4.0.3: ValueError: threshold must be numeric and non-NAN, try sys.maxsize for untruncated representation
#60852
gnuradio-next: fatal error: 'endian.h' file not found
#61934
gnuradio @3.8.2.0_2+docs+... Configure error - build failure
#62060
Gnuradio configure and build failure on OSX 10.14.6

spe (wrong query)

#18169
hunspell-dict-* should depend on hunspell
#37256
gobject-introspection: building non-universal i386 fails when python27 is installed universal i386 x86_64
#43079
gobject-introspection: configure fails
#43298
Please add spectrwm
#43705
gobject-introspection 1.40.0_0 + universal build failure
#45448
unable to install gobject-introspection
#48329
aspell not installed as a dependency
#53699
gobject-introspection: reinplace warnings
#58902
New port: python/yamllint
#59078
poppler @0.80.0 build fails with Xcode 11.0 on Mojave
#59940
GObject Introspection: new stable release 1.64.0
#60251
gobject-introspection fails for old nm
#60511
move to quartz as default backend
#60732
espeak: replace with espeak-ng?
#61146
gobject-introspection does not build
#61427
gstreamer1-gst-plugins-base @1.16.2_0+ogg+universal+x11: Failed to build. Missing /opt/local/lib/libgstsdp-1.0.0.dylib
#61849
gobject-introspection: Configure failure on Big Sur 11.1 and Xcode 12.3
#61987
gobject-introspection @1.60.2_4 : g-ir-scanner producing executable with linking problems